/*
 * Copyright (c) 2000-2015 TeamDev Ltd. All rights reserved.
 * TeamDev PROPRIETARY and CONFIDENTIAL.
 * Use is subject to license terms.
 */

import com.teamdev.jexplorer.Browser;
import com.teamdev.jexplorer.ContextMenuContext;
import com.teamdev.jexplorer.ContextMenuProvider;
import com.teamdev.jexplorer.dom.DOMElement;

import javax.swing.*;
import java.awt.*;

/**
 * The sample demonstrates how replace default MS Internet Explorer context menu with JPopupMenu.
 */
public class ContextMenuSample {
    public static void main(String[] args) {
        Browser browser = new Browser();
        browser.setContextMenuProvider(new ContextMenuProvider() {
            @Override
            public JPopupMenu getPopupMenu(Point location, ContextMenuContext context, DOMElement contextElement) {
                JPopupMenu popupMenu = new JPopupMenu();
                popupMenu.add(new JMenuItem("Open"));
                popupMenu.add(new JMenuItem("Save"));
                popupMenu.add(new JSeparator());
                popupMenu.add(new JMenuItem("Properties"));
                return popupMenu;
            }
        });

        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        frame.add(browser, BorderLayout.CENTER);
        frame.setSize(800, 600);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);

        browser.navigate("http://www.google.com");
    }
}
