import com.teamdev.jexplorer.Browser;
import com.teamdev.jexplorer.dom.*;
import com.teamdev.jexplorer.event.NavigationAdapter;

import javax.swing.*;
import java.awt.*;

/**
 * The sample demonstrates how to register "click" DOM event listener
 * for receiving mouse click events.
 */
public class DOMEventsSample {
    public static void main(String[] args) {
        Browser browser = new Browser();

        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        frame.add(browser, BorderLayout.CENTER);
        frame.setSize(800, 600);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);

        browser.addNavigationListener(new NavigationAdapter() {
            @Override
            public void mainDocumentCompleted(Browser browser, String url) {
                DOMDocument document = browser.getDocument();
                DOMElement documentElement = document.getDocumentElement();
                documentElement.addEventListener("click", new DOMEventListener() {
                    @Override
                    public void handleEvent(DOMEvent event) {
                        long clientX = event.getClientX();
                        long clientY = event.getClientY();
                        System.out.println("clientX = " + clientX);
                        System.out.println("clientY = " + clientY);
                    }
                });
            }
        });
        browser.setContent("<html><body><h1>Hello</h1></body></html>");
    }
}